The new PSP GO! CAM 450 is better than the 300 BUT it needs 6.00 firmware or higher to run, of course so being you cant use it on the latest CFW 5.50GEN-D2, which means you have to DOwngrade to 5.00m33 then update to OFW 6.00 to use it (also for that new game "Invizimals" (prety good game but awsome if you like even if you dont like Pokemon)
This is following my other thread: HOw many times can i change custom firmware?

Does ANYONE know of a plugin that alows you to use the PSP GO! CAM 450 on CFW 5.50GEN-D2?